package com.pcloud.book.group.vo;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/5/8 16:40
 */
public class ListBookGroupQrcodeParamVO implements Serializable {
    @ApiModelProperty("当前页")
    private Integer currentPage;

    @ApiModelProperty("每页条数")
    private Integer numPerPage;

    @ApiModelProperty("社群码标识")
    private Long bookGroupId;

    @ApiModelProperty("分类标识")
    private List<Long> classifyIds;

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getNumPerPage() {
        return numPerPage;
    }

    public void setNumPerPage(Integer numPerPage) {
        this.numPerPage = numPerPage;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public List<Long> getClassifyIds() {
        return classifyIds;
    }

    public void setClassifyIds(List<Long> classifyIds) {
        this.classifyIds = classifyIds;
    }

    @Override
    public String toString() {
        return "ListBookGroupQrcodeParamVO{" +
                "currentPage=" + currentPage +
                ", numPerPage=" + numPerPage +
                ", bookGroupId=" + bookGroupId +
                ", classifyIds=" + classifyIds +
                '}';
    }
}
